/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.api.third.devops.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.io.Serializable;
import java.util.List;

/**
*
* createdate:  2022-12-06 11:32:04  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
public class DevopsProExecplanInfoDto implements Serializable
{
    /**
     * 系统id
     */
    private String projectId;
    /**
     * 系统名
     */
    private String projectName;
    /**
     * 执行计划信息<br>
     */
    private List<DevopsExecplanInfoResultDto> execplanList;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public List<DevopsExecplanInfoResultDto> getExecplanList() {
        return execplanList;
    }

    public void setExecplanList(List<DevopsExecplanInfoResultDto> execplanList) {
        this.execplanList = execplanList;
    }
}